libzypp: zyppng::sat::SplitIdent Class Reference

libzypp 17.38.14

zyppng::sat::SplitIdent Class Reference

Helper that splits an identifier into kind and name or vice versa. More...

`#include <zypp/ng/sat/solvableident.h>`

## Public Member Functions
| SplitIdent ()=default
| SplitIdent (IdString ident_r)
| SplitIdent (const char *ident_r)
| SplitIdent (const std::string &ident_r)
| SplitIdent (ResKind kind_r, IdString name_r)
| SplitIdent (ResKind kind_r, const zypp::C_Str &name_r)
IdString | ident () const
ResKind | kind () const
IdString | name () const

## Private Attributes
IdString | _ident
ResKind | _kind
IdString | _name

## Detailed Description

Helper that splits an identifier into kind and name or vice versa.

Note
  In case `name_r` is preceded by a well known kind spec, the `kind_r` argument is ignored, and kind is derived from name.

Definition at line 30 of file solvableident.h.

## Constructor & Destructor Documentation

## ◆ SplitIdent() [1/6]

zyppng::sat::SplitIdent::SplitIdent | ( |  | ) |
| default

## ◆ SplitIdent() [2/6]

zyppng::sat::SplitIdent::SplitIdent | ( | IdString | ident_r | ) |

Definition at line 45 of file solvableident.cc.

## ◆ SplitIdent() [3/6]

zyppng::sat::SplitIdent::SplitIdent | ( | const char * | ident_r | ) |

Definition at line 49 of file solvableident.cc.

## ◆ SplitIdent() [4/6]

zyppng::sat::SplitIdent::SplitIdent | ( | const std::string & | ident_r | ) |

Definition at line 53 of file solvableident.cc.

## ◆ SplitIdent() [5/6]

zyppng::sat::SplitIdent::SplitIdent | ( | ResKind | kind_r,
|  | IdString | name_r )

Definition at line 57 of file solvableident.cc.

## ◆ SplitIdent() [6/6]

zyppng::sat::SplitIdent::SplitIdent | ( | ResKind | kind_r,
|  | const zypp::C_Str & | name_r )

Definition at line 62 of file solvableident.cc.

## Member Function Documentation

## ◆ ident()

IdString zyppng::sat::SplitIdent::ident | ( |  | ) | const
| inline

Definition at line 40 of file solvableident.h.

## ◆ kind()

ResKind zyppng::sat::SplitIdent::kind | ( |  | ) | const
| inline

Definition at line 41 of file solvableident.h.

## ◆ name()

IdString zyppng::sat::SplitIdent::name | ( |  | ) | const
| inline

Definition at line 42 of file solvableident.h.

## Member Data Documentation

## ◆ _ident

IdString zyppng::sat::SplitIdent::_ident
| private

Definition at line 45 of file solvableident.h.

## ◆ _kind

ResKind zyppng::sat::SplitIdent::_kind
| private

Definition at line 46 of file solvableident.h.

## ◆ _name

IdString zyppng::sat::SplitIdent::_name
| private

Definition at line 47 of file solvableident.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/solvableident.h
- zypp/ng/sat/solvableident.cc